"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var path_1 = require("path");

var fs_1 = require("fs");

var filePath = path_1.join(__dirname, 'gitmojis.json'); // Download gitmojis.json if it doesn't exist yet

if (!fs_1.existsSync(filePath)) {
  var url = 'https://raw.githubusercontent.com/carloscuesta/gitmoji/master/src/data/gitmojis.json';

  var result = require('child_process').execFileSync('curl', ['--silent', '-L', url], {
    encoding: 'utf8',
    maxBuffer: Infinity
  });

  fs_1.writeFileSync(filePath, result);
}

var gitmojis = require(filePath).gitmojis;

var gitmojiCodes = gitmojis.map(function (gitmoji) {
  return gitmoji.code;
});
exports.default = gitmojiCodes;