"use strict";

var __importDefault = void 0 && (void 0).__importDefault || function (mod) {
  return mod && mod.__esModule ? mod : {
    "default": mod
  };
};

Object.defineProperty(exports, "__esModule", {
  value: true
});

var gitmojiCode_1 = __importDefault(require("./gitmojiCode"));

var emoji = function emoji(parsed) {
  var raw = parsed.raw;
  var regex = /^(:\w*:)\s.*/gm; // regex test url: https://regex101.com/r/fSdOvB/1

  var result = regex.exec(raw);
  var pass;
  var errorMsg = 'passed'; // if don't has emoji

  if (!result) {
    pass = false;
    errorMsg = 'Your commit should start with gitmoji code,please check the emoji code on https://gitmoji.dev/.';
  } else {
    var emojiCode = result[1];
    pass = gitmojiCode_1.default.includes(emojiCode);

    if (!pass) {
      errorMsg = emojiCode + " is not in the correct gitmoji list, please check the emoji code on https://gitmoji.dev/.";
    }
  }

  return [pass, errorMsg];
};

exports.default = emoji;